Class UmlBaseUseCaseDiagramDefinition

this class manages use case diagram definition

Declaration :

- C++ : class UmlBaseUseCaseDiagramDefinition
- Java : class UmlBaseUseCaseDiagramDefinition

Directly inherited by : UmlUseCaseDiagramDefinition

Artifact : UmlBaseUseCaseDiagramDefinition

Operation useCases

return the use cases present in the diagram

Declaration :

- Uml : + useCases() : UmlUseCaseReference
- C++ : public: const QVector<UmlUseCaseReference> & useCases() const
- Java : public UmlUseCaseReference[] useCases()

Operation actors

return the actors present in the diagram

Declaration :

- Uml : + actors() : UmlClass
- C++ : public: const QVector<UmlClass> & actors() const
- Java : public UmlClass[] actors()

Operation associations

return the associations between actor and use case present in the diagram

Declaration :

- Uml : + associations() : UmlUseCaseAssociation
- C++ : public: const QVector<UmlUseCaseAssociation> & associations() const
- Java : public UmlUseCaseAssociation[] associations()

Operation fragments

return the fragments present in the diagram

Declaration :

- Uml : + fragments() : UmlFragment
- C++ : public: const QVector<UmlFragment> & fragments() const
- Java : public UmlFragment[] fragments()

Operation subjects

return the subjects present in the diagram

Declaration :

- Uml : + subjects() : UmlSubject
- C++ : public: const QVector<UmlSubject> & subjects() const
- Java : public UmlSubject[] subjects()

Relation _use_cases (<directional composition>)

Declaration :

- Uml : - _use_cases : UmlUseCaseReference, multiplicity : *
- C++ : private: QVector<UmlUseCaseReference> _use_cases
- Java : private UmlUseCaseReference[] _use_cases

Stereotype: vector

Relation _actors (<directional composition>)

Declaration :

- Uml : - _actors : UmlClass, multiplicity : *
- C++ : private: QVector<UmlClass> _actors
- Java : private UmlClass[] _actors

Stereotype: vector

Relation _rels (<directional composition>)

Declaration :

- Uml : - _rels : UmlUseCaseAssociation, multiplicity : *
- C++ : private: QVector<UmlUseCaseAssociation> _rels
- Java : private UmlUseCaseAssociation[] _rels

Stereotype: vector

Relation _fragments (<directional composition>)

Declaration :

- Uml : - _fragments : UmlFragment, multiplicity : *
- C++ : private: QVector<UmlFragment> _fragments
- Java : private UmlFragment[] _fragments

Stereotype: vector

Relation _subjects (<directional composition>)

Declaration :

- Uml : - _subjects : UmlSubject, multiplicity : *
- C++ : private: QVector<UmlSubject> _subjects
- Java : private UmlSubject[] _subjects

Stereotype: vector

Operation read_

internal, don't call it

Declaration :

- Uml : + read_() : void
- C++ : private: void read_()
- Java : public void read_()

Operation ~UmlBaseUseCaseDiagramDefinition

to avoid compiler warning, don't call it

Declaration :

- Uml : + ~UmlBaseUseCaseDiagramDefinition() :
- C++ : public: ~UmlBaseUseCaseDiagramDefinition()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseUseCaseDiagram;

All public operations : actors , associations , fragments , read_ , subjects , useCases